diff --git a/install.sh b/install.sh
index 8bf6d6b..bf9b816 100755
--- a/install.sh
+++ b/install.sh
@@ -515,12 +515,12 @@ getDotfiles() {
 }
 
 checkForSystemdUnit() {
-    trap 'systemctl stop ${2}; forceExit=true' INT
     if [ "${3}" = "oneshot" ]; then
         [ "$(systemctl show -p ActiveState --value "${2}")" = "inactive" ] && return
     else
         systemctl is-active --quiet "${2}" && return
     fi
+    trap 'systemctl stop ${2}; forceExit=true' INT
     forceExit=false
     calcAndRun dialog --infobox "\"\nWaiting for the ${1} to finish. Please wait.\"" 5 WIDTH
     if [ "${3}" = "oneshot" ]; then